Skip to main content
PATCH
/
organizations
/
{orgId}
/
insurances
/
{id}
Update Insurance
curl --request PATCH \
  --url https://api.helloannie.com/v1/organizations/{orgId}/insurances/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "PPO",
  "status": "IN_NETWORK",
  "notes": "<string>"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "type": "PPO",
    "status": "IN_NETWORK",
    "notes": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Path Parameters

orgId
string<uuid>
required

The ID of the organization

insuranceId
string<uuid>
required

The ID of the insurance to update

Body

Fields that can be updated on an existing insurance configuration

type
enum<string>
Available options:
PPO,
HMO,
EPO,
MEDICAID,
MEDICARE
status
enum<string>
Available options:
IN_NETWORK,
ACCEPTED,
CAN_FILE,
CONDITIONAL,
NOT_ACCEPTED
notes
string | null

Additional notes about this insurance

Response

Response returned after updating an insurance

success
enum<boolean>
required
Available options:
true
data
object
required

Represents an organization's insurance provider configuration